summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Gabriel <mike.gabriel@das-netzwerkteam.de>2013-11-29 14:24:53 +0100
committerMike Gabriel <mike.gabriel@das-netzwerkteam.de>2013-11-29 14:24:53 +0100
commitfc18c444b2a96ee14ff1e4359a7205a683dfa0e5 (patch)
treeeb28c0ea787807a15b01396af1e2075f248b38c1
parent9fc935b9e8a9a0a3d667eb66b7ff609ecbfaf6ba (diff)
downloadbuildscripts-fc18c444b2a96ee14ff1e4359a7205a683dfa0e5.tar.gz
buildscripts-fc18c444b2a96ee14ff1e4359a7205a683dfa0e5.tar.bz2
buildscripts-fc18c444b2a96ee14ff1e4359a7205a683dfa0e5.zip
change var name BUILDS_FOR to DEB_BUILDS_FOR
-rwxr-xr-xbin/build-deb-package18
-rw-r--r--home/.buildscripts/itzks.conf2
-rw-r--r--home/.buildscripts/nwt.conf2
-rw-r--r--home/.buildscripts/x2go.conf10
4 files changed, 20 insertions, 12 deletions
diff --git a/bin/build-deb-package b/bin/build-deb-package
index b612fb6..dbb7a94 100755
--- a/bin/build-deb-package
+++ b/bin/build-deb-package
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright (C) 2011 by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
+# Copyright (C) 2011-2013 by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
#
# This programme is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -26,7 +26,7 @@ GPG_KEY=
DISTS_SUPPORTED="debian ubuntu"
DEBIAN_DISTROS="lenny squeeze wheezy jessie sid"
UBUNTU_DISTROS="lucid maverick natty oneiric precise"
-BUILDS_FOR="\
+DEB_BUILDS_FOR="\
debian: squeeze wheezy jessie sid\n\
ubuntu: lucid precise\n\
"
@@ -94,8 +94,8 @@ set_vars() {
}
prepare_workspace() {
- # in any case remove the BUILDS_FOR file
- rm -f "$PROJECT_DIR/BUILDS_FOR"
+ # in any case remove the DEB_BUILDS_FOR file
+ rm -f "$PROJECT_DIR/DEB_BUILDS_FOR"
# make sure our local working copy is up to date...
@@ -123,9 +123,9 @@ prepare_workspace() {
# by default we build for all current debian versions
if test -z $ARGV2_CODENAME; then
- test -f BUILDS_FOR || echo -e "$BUILDS_FOR" > BUILDS_FOR
+ test -f DEB_BUILDS_FOR || echo -e "$DEB_BUILDS_FOR" > DEB_BUILDS_FOR
elif echo "$DEBIAN_DISTROS" | grep $ARGV2_CODENAME >/dev/null; then
- echo "debian: $ARGV2_CODENAME" > BUILDS_FOR
+ echo "debian: $ARGV2_CODENAME" > DEB_BUILDS_FOR
elif echo "$UBUNUT_DISTROS" | grep $ARGV2_CODENAME >/dev/null; then
echo "ubuntu: $ARGV2_CODENAME" >/dev/null
fi
@@ -134,7 +134,7 @@ prepare_workspace() {
clear_pkgdist() {
# pkgdist directory cleanup
- cat "$PROJECT_DIR/BUILDS_FOR" | egrep -v '(^$|^#.*$)' | while read line; do
+ cat "$PROJECT_DIR/DEB_BUILDS_FOR" | egrep -v '(^$|^#.*$)' | while read line; do
l_DIST="$(echo ${line/: /:} | cut -d":" -f1 | tr [:upper:] [:lower:])"
l_CODENAMES="${CODENAMES:-$(echo ${line/: /:} | cut -d":" -f2- | tr [:upper:] [:lower:])}"
echo "$DISTS_SUPPORTED" | grep $l_DIST >/dev/null && {
@@ -176,7 +176,7 @@ clear_pkgdist() {
build_packages() {
# use pbuilder for building all variants of this package
- cat "$PROJECT_DIR/BUILDS_FOR" | egrep -v '(^$|^#.*$)' | while read line; do
+ cat "$PROJECT_DIR/DEB_BUILDS_FOR" | egrep -v '(^$|^#.*$)' | while read line; do
l_DIST="$(echo ${line/: /:} | cut -d":" -f1 | tr [:upper:] [:lower:])"
l_CODENAMES="${CODENAMES:-$(echo ${line/: /:} | cut -d":" -f2- | tr [:upper:] [:lower:])}"
echo "$DISTS_SUPPORTED" | grep $l_DIST >/dev/null && {
@@ -284,7 +284,7 @@ build_packages() {
upload_packages() {
# dupload the new packages to the reprepro repository
- cat "$PROJECT_DIR/BUILDS_FOR" | egrep -v '(^$|^#.*$)' | while read line; do
+ cat "$PROJECT_DIR/DEB_BUILDS_FOR" | egrep -v '(^$|^#.*$)' | while read line; do
l_DIST=$(echo ${line/: /:} | cut -d":" -f1 | tr [:upper:] [:lower:])
l_CODENAMES=${CODENAMES:-$(echo ${line/: /:} | cut -d":" -f2- | tr [:upper:] [:lower:])}
for l_CODENAME in $l_CODENAMES; do
diff --git a/home/.buildscripts/itzks.conf b/home/.buildscripts/itzks.conf
index 16ad07c..75c44d1 100644
--- a/home/.buildscripts/itzks.conf
+++ b/home/.buildscripts/itzks.conf
@@ -8,7 +8,7 @@ DEBFULLNAME="ITZKS Packages"
GPG_KEY="E41B37C658842183"
DISTS_SUPPORTED="debian ubuntu"
-BUILDS_FOR="\
+DEB_BUILDS_FOR="\
debian: squeeze wheezy jessie sid"
COMPONENT_MAIN="main"
diff --git a/home/.buildscripts/nwt.conf b/home/.buildscripts/nwt.conf
index 37a786f..dd662a6 100644
--- a/home/.buildscripts/nwt.conf
+++ b/home/.buildscripts/nwt.conf
@@ -8,7 +8,7 @@ DEBEMAIL=debian@das-netzwerkteam.de
DEBFULLNAME="NWT Packages"
GPG_KEY="4DC41CF116990FF8"
DISTS_SUPPORTED="debian ubuntu"
-BUILDS_FOR="\
+DEB_BUILDS_FOR="\
debian: lenny squeeze wheezy jessie sid\n\
ubuntu: lucid precise"
diff --git a/home/.buildscripts/x2go.conf b/home/.buildscripts/x2go.conf
index e51baf0..63a0888 100644
--- a/home/.buildscripts/x2go.conf
+++ b/home/.buildscripts/x2go.conf
@@ -8,9 +8,17 @@ DEBEMAIL=git-admin@x2go.org
DEBFULLNAME="X2go Git Administrator"
GPG_KEY="F4A7678C9C6B0B2B"
DISTS_SUPPORTED="debian"
-BUILDS_FOR="\
+DEB_BUILDS_FOR="\
debian: squeeze wheezy jessie sid"
+RPMEMAIL=git-admin@x2go.org
+RPMFULLNAME="X2go Git Administrator"
+GPG_KEY="F4A7678C9C6B0B2B"
+DISTS_SUPPORTED="fedora epel"
+RPM_BUILDS_FOR="\
+fedora: fe18 fe19 fe20\n\
+epel: sl6\n"
+
COMPONENT_MAIN="main"
COMPONENT_NIGHTLY="heuler"
COMPONENT_RELEASES="baikal"